Help compile RTL8192EU driver on retropie 3.3.1

Home Forums RetroPie Project New to RetroPie? Start Here! Help compile RTL8192EU driver on retropie 3.3.1

This topic contains 2 replies, has 1 voice, and was last updated by Profile photo of danmurphy danmurphy 1 year, 5 months ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #113554
    Profile photo of danmurphy
    danmurphy
    Participant

    Hi

    Can you please show me where I can find instructions to compile RTL8192EU driver for retropie 3.3.1? I am quite new to building and compiling drivers on linux.

    I’ve tried a few instructions including cross compiling to OpenElec 5.0 but keep bumping into compilation errors.

    My wireless component is a generic USB that I’ve bought from eBay and it has RTL8192EU chipset. I’ve tested this wireless dongle on Windows 7 and it is working perfectly with the drivers provided on the CD. On the CD, they have included 3 drivers for linux:
    `- RTL8188 8192EUS_linux_v4.3.0.4_1148
    – RTL8188C_8192C_USB_linux_v3.4.4_4749.20121105
    – rtl8192EU_linux_v4.2.4_8785.20130820`

    I assume all these drivers will work with my chipset as I’ve inspected the *.inf file and they have included the above chipsets.

    I am confused with all the different versions of kernel, drivers and gcc. Do I need the same kernel version as seen in the drivers name for it to work?

    I’ve tried to get the kernel headers through apt-get but the package doesnt seem to exist.

    sudo apt-get install linux-headers-$(uname -r)
    E: Unable to locate package linux-headers-4.1.13-v7
    E: Couldn't find any package by regex 'linux-headers-4.1.13-v7'

    Please help me!

    #113559
    Profile photo of danmurphy
    danmurphy
    Participant

    from this script here:
    https://github.com/RetroPie/RetroPie-Setup/blob/master/scriptmodules/supplementary/gamecondriver.sh

    I’ve obtained the headers for 4.1.13 (linux-headers-4.1.13-v7+_4.1.13-v7+-2_armhf.deb).

    dpkg -i linux-headers-4.1.13-v7+_4.1.13-v7+-2_armhf.deb

    and it installed successfully.

    Then I get compilation errors when I do:

    sudo make ARCH=arm

    I’ve attached the output.txt and the file that has warnings during compilation.

    should I be modifying the os_intfs.c? please help.

    Thank you.

    #113572
    Profile photo of danmurphy
    danmurphy
    Participant

    I have solved my issue thank you to MrEngMan from this post

    Just leaving instructions for other users who may have similar issue.
    ————————————————————————–
    Download and extract 8192eu-4.1.12-v7-824.tar.gz

    wget https://dl.dropboxusercontent.com/u/80256631/8192eu-4.1.12-v7-824.tar.gz
    tar xzf 8192eu-4.1.12-v7-824.tar.gz

    You will have 8192eu.ko and 8192eu.conf

    sudo mv 8192eu.ko /lib/modules/4.1.13-v7+/kernel/drivers/net/wireless/
    sudo mv 8192eu.conf /etc/modprobe.d/
    sudo depmod -a
    sudo nano /etc/modules

    add 8192eu at the end of the list, save, exit and reboot your RPi2.

    Done!

    You can follow the instructions on here to connect to wifi network.
    https://www.raspberrypi.org/documentation/configuration/wireless/wireless-cli.md

Viewing 3 posts - 1 through 3 (of 3 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar